Package com.ads.api.beans.common

# Enum Class APIConstants.AuthenticationResponseType

java.lang.Object
java.lang.Enum<APIConstants.AuthenticationResponseType>
com.ads.api.beans.common.APIConstants.AuthenticationResponseType

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.AuthenticationResponseType>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.AuthenticationResponseType extends Enum<APIConstants.AuthenticationResponseType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCOUNT_EXPIRED`
  `AUTHENTICATION_ERROR`
  `AUTHENTICATION_NOT_AVAILABLE`
  `BAD_CREDENTIALS`
  `CREDENTIALS_EXPIRED`
  `DISABLED`
  `LICENCE_EVALUATION_EXPIRED`
  `LOCKED`
  `SUCCESS`
  `USER_NEED_TO_LOGIN_FROM_WEB`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `static APIConstants.AuthenticationResponseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.AuthenticationResponseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final APIConstants.AuthenticationResponseType SUCCESS

  - ### BAD_CREDENTIALS

    public static final APIConstants.AuthenticationResponseType BAD_CREDENTIALS

  - ### LOCKED

    public static final APIConstants.AuthenticationResponseType LOCKED

  - ### DISABLED

    public static final APIConstants.AuthenticationResponseType DISABLED

  - ### CREDENTIALS_EXPIRED

    public static final APIConstants.AuthenticationResponseType CREDENTIALS_EXPIRED

  - ### ACCOUNT_EXPIRED

    public static final APIConstants.AuthenticationResponseType ACCOUNT_EXPIRED

  - ### AUTHENTICATION_ERROR

    public static final APIConstants.AuthenticationResponseType AUTHENTICATION_ERROR

  - ### AUTHENTICATION_NOT_AVAILABLE

    public static final APIConstants.AuthenticationResponseType AUTHENTICATION_NOT_AVAILABLE

  - ### USER_NEED_TO_LOGIN_FROM_WEB

    public static final APIConstants.AuthenticationResponseType USER_NEED_TO_LOGIN_FROM_WEB

  - ### LICENCE_EVALUATION_EXPIRED

    public static final APIConstants.AuthenticationResponseType LICENCE_EVALUATION_EXPIRED

- ## Method Details

  - ### values

    public static APIConstants.AuthenticationResponseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.AuthenticationResponseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessage

    public String getMessage()